## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngresTrigger

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Trigger

All Known Implementing Classes:
  IngresTriggerImpl

    public interface IngresTrigger

extends Trigger

A representation of the model object 'Ingres Trigger'.

The following features are supported:

- `Source`

See Also:
  `IngressqlmodelPackage.getIngresTrigger()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`Source` `getSource()` Returns the value of the 'Source' reference.
`void` `setSource(Source value)` Sets the value of the '`Source`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionGranularity, getActionStatement, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, isDeleteType, isInsertType, isUpdateType, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSource

    Source getSource()

  Returns the value of the 'Source' reference.

  If the meaning of the 'Source' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' reference.
  See Also:
    `setSource(Source)`, `IngressqlmodelPackage.getIngresTrigger_Source()`

### setSource

    void setSource(Source value)

  Sets the value of the '`Source`' reference.

  Parameters:
    `value` - the new value of the 'Source' reference.
  See Also:
    `getSource()`